Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.impl
Class DocumentEntryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.xds.metadata.impl.DocumentEntryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentEntryType

    public class DocumentEntryTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentEntryType

An implementation of the model object 'Document Entry Type'.

The following features are implemented:

- `Author`
- `Availability Status`
- `Class Code`
- `Comments`
- `Confidentiality Code`
- `Creation Time`
- `Entry UUID`
- `Event Code`
- `Format Code`
- `Hash`
- `Health Care Facility Type Code`
- `Language Code`
- `Legal Authenticator`
- `Mime Type`
- `Parent Document Relationship`
- `Parent Document Id`
- `Patient Id`
- `Practice Setting Code`
- `Service Start Time`
- `Service Stop Time`
- `Source Patient Id`
- `Size`
- `Source Patient Info`
- `Title`
- `Type Code`
- `Unique Id`
- `Uri`
- `Existing`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassCode(CodedMetadataType newClassCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetComments(InternationalStringType newComments, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetConfidentialityCode(CodedMetadataType newConfidentialityCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFormatCode(CodedMetadataType newFormatCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHealthCareFacilityTypeCode(CodedMetadataType newHealthCareFacilityTypeCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLegalAuthenticator(XCN newLegalAuthenticator, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientId(CX newPatientId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPracticeSettingCode(CodedMetadataType newPracticeSettingCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourcePatientId(CX newSourcePatientId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTitle(InternationalStringType newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeCode(CodedMetadataType newTypeCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`AvailabilityStatusType` | `getAvailabilityStatus()`
`CodedMetadataType` | `getClassCode()`
`InternationalStringType` | `getComments()`
`CodedMetadataType` | `getConfidentialityCode()`
`java.lang.String` | `getCreationTime()`
`java.lang.String` | `getEntryUUID()`
`org.eclipse.emf.common.util.EList` | `getEventCode()`
`CodedMetadataType` | `getFormatCode()`
`java.lang.String` | `getHash()`
`CodedMetadataType` | `getHealthCareFacilityTypeCode()`
`java.lang.String` | `getLanguageCode()`
`XCN` | `getLegalAuthenticator()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getParentDocumentId()`
`ParentDocumentRelationshipType` | `getParentDocumentRelationship()`
`CX` | `getPatientId()`
`CodedMetadataType` | `getPracticeSettingCode()`
`java.lang.String` | `getServiceStartTime()`
`java.lang.String` | `getServiceStopTime()`
`java.lang.String` | `getSize()`
`CX` | `getSourcePatientId()`
`SourcePatientInfoType` | `getSourcePatientInfo()`
`InternationalStringType` | `getTitle()`
`CodedMetadataType` | `getTypeCode()`
`java.lang.String` | `getUniqueId()`
`java.lang.String` | `getUri()`
`boolean` | `isExisting()`
`boolean` | `isSetAvailabilityStatus()`
`boolean` | `isSetExisting()`
`boolean` | `isSetParentDocumentRelationship()`
`void` | `setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)`
`void` | `setClassCode(CodedMetadataType newClassCode)`
`void` | `setComments(InternationalStringType newComments)`
`void` | `setConfidentialityCode(CodedMetadataType newConfidentialityCode)`
`void` | `setCreationTime(java.lang.String newCreationTime)`
`void` | `setEntryUUID(java.lang.String newEntryUUID)`
`void` | `setExisting(boolean newExisting)`
`void` | `setFormatCode(CodedMetadataType newFormatCode)`
`void` | `setHash(java.lang.String newHash)`
`void` | `setHealthCareFacilityTypeCode(CodedMetadataType newHealthCareFacilityTypeCode)`
`void` | `setLanguageCode(java.lang.String newLanguageCode)`
`void` | `setLegalAuthenticator(XCN newLegalAuthenticator)`
`void` | `setMimeType(java.lang.String newMimeType)`
`void` | `setParentDocumentId(java.lang.String newParentDocumentId)`
`void` | `setParentDocumentRelationship(ParentDocumentRelationshipType newParentDocumentRelationship)`
`void` | `setPatientId(CX newPatientId)`
`void` | `setPracticeSettingCode(CodedMetadataType newPracticeSettingCode)`
`void` | `setServiceStartTime(java.lang.String newServiceStartTime)`
`void` | `setServiceStopTime(java.lang.String newServiceStopTime)`
`void` | `setSize(java.lang.String newSize)`
`void` | `setSourcePatientId(CX newSourcePatientId)`
`void` | `setSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo)`
`void` | `setTitle(InternationalStringType newTitle)`
`void` | `setTypeCode(CodedMetadataType newTypeCode)`
`void` | `setUniqueId(java.lang.String newUniqueId)`
`void` | `setUri(java.lang.String newUri)`
`java.lang.String` | `toString()`
`void` | `unsetAvailabilityStatus()`
`void` | `unsetExisting()`
`void` | `unsetParentDocumentRelationship()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `DocumentEntryType`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `MetadataPackage.getDocumentEntryType_Author()`

### getAvailabilityStatus

    public AvailabilityStatusType getAvailabilityStatus()

  Specified by:
    `getAvailabilityStatus` in interface `DocumentEntryType`
  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `DocumentEntryType.isSetAvailabilityStatus()`, `DocumentEntryType.unsetAvailabilityStatus()`, `DocumentEntryType.setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getDocumentEntryType_AvailabilityStatus()`

### setAvailabilityStatus

    public void setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)

  Specified by:
    `setAvailabilityStatus` in interface `DocumentEntryType`
  Parameters:
    `newAvailabilityStatus` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `DocumentEntryType.isSetAvailabilityStatus()`, `DocumentEntryType.unsetAvailabilityStatus()`, `DocumentEntryType.getAvailabilityStatus()`

### unsetAvailabilityStatus

    public void unsetAvailabilityStatus()

  Specified by:
    `unsetAvailabilityStatus` in interface `DocumentEntryType`
  See Also:
    `DocumentEntryType.isSetAvailabilityStatus()`, `DocumentEntryType.getAvailabilityStatus()`, `DocumentEntryType.setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    public boolean isSetAvailabilityStatus()

  Specified by:
    `isSetAvailabilityStatus` in interface `DocumentEntryType`
  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `DocumentEntryType.unsetAvailabilityStatus()`, `DocumentEntryType.getAvailabilityStatus()`, `DocumentEntryType.setAvailabilityStatus(AvailabilityStatusType)`

### getClassCode

    public CodedMetadataType getClassCode()

  Specified by:
    `getClassCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Class Code' containment reference.
  See Also:
    `DocumentEntryType.setClassCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_ClassCode()`

### basicSetClassCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassCode(CodedMetadataType newClassCode,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassCode

    public void setClassCode(CodedMetadataType newClassCode)

  Specified by:
    `setClassCode` in interface `DocumentEntryType`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' containment reference.
  See Also:
    `DocumentEntryType.getClassCode()`

### getComments

    public InternationalStringType getComments()

  Specified by:
    `getComments` in interface `DocumentEntryType`
  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `DocumentEntryType.setComments(InternationalStringType)`, `MetadataPackage.getDocumentEntryType_Comments()`

### basicSetComments

    public org.eclipse.emf.common.notify.NotificationChain basicSetComments(InternationalStringType newComments,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setComments

    public void setComments(InternationalStringType newComments)

  Specified by:
    `setComments` in interface `DocumentEntryType`
  Parameters:
    `newComments` - the new value of the 'Comments' containment reference.
  See Also:
    `DocumentEntryType.getComments()`

### getConfidentialityCode

    public CodedMetadataType getConfidentialityCode()

  Specified by:
    `getConfidentialityCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Confidentiality Code' containment reference.
  See Also:
    `DocumentEntryType.setConfidentialityCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_ConfidentialityCode()`

### basicSetConfidentialityCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetConfidentialityCode(CodedMetadataType newConfidentialityCode,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setConfidentialityCode

    public void setConfidentialityCode(CodedMetadataType newConfidentialityCode)

  Specified by:
    `setConfidentialityCode` in interface `DocumentEntryType`
  Parameters:
    `newConfidentialityCode` - the new value of the 'Confidentiality Code' containment reference.
  See Also:
    `DocumentEntryType.getConfidentialityCode()`

### getCreationTime

    public java.lang.String getCreationTime()

  Specified by:
    `getCreationTime` in interface `DocumentEntryType`
  Returns:
    the value of the 'Creation Time' attribute.
  See Also:
    `DocumentEntryType.setCreationTime(String)`, `MetadataPackage.getDocumentEntryType_CreationTime()`

### setCreationTime

    public void setCreationTime(java.lang.String newCreationTime)

  Specified by:
    `setCreationTime` in interface `DocumentEntryType`
  Parameters:
    `newCreationTime` - the new value of the 'Creation Time' attribute.
  See Also:
    `DocumentEntryType.getCreationTime()`

### getEntryUUID

    public java.lang.String getEntryUUID()

  Specified by:
    `getEntryUUID` in interface `DocumentEntryType`
  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `DocumentEntryType.setEntryUUID(String)`, `MetadataPackage.getDocumentEntryType_EntryUUID()`

### setEntryUUID

    public void setEntryUUID(java.lang.String newEntryUUID)

  Specified by:
    `setEntryUUID` in interface `DocumentEntryType`
  Parameters:
    `newEntryUUID` - the new value of the 'Entry UUID' attribute.
  See Also:
    `DocumentEntryType.getEntryUUID()`

### getEventCode

    public org.eclipse.emf.common.util.EList getEventCode()

  Specified by:
    `getEventCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Event Code' containment reference list.
  See Also:
    `MetadataPackage.getDocumentEntryType_EventCode()`

### getFormatCode

    public CodedMetadataType getFormatCode()

  Specified by:
    `getFormatCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Format Code' containment reference.
  See Also:
    `DocumentEntryType.setFormatCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_FormatCode()`

### basicSetFormatCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetFormatCode(CodedMetadataType newFormatCode,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatCode

    public void setFormatCode(CodedMetadataType newFormatCode)

  Specified by:
    `setFormatCode` in interface `DocumentEntryType`
  Parameters:
    `newFormatCode` - the new value of the 'Format Code' containment reference.
  See Also:
    `DocumentEntryType.getFormatCode()`

### getHash

    public java.lang.String getHash()

  Specified by:
    `getHash` in interface `DocumentEntryType`
  Returns:
    the value of the 'Hash' attribute.
  See Also:
    `DocumentEntryType.setHash(String)`, `MetadataPackage.getDocumentEntryType_Hash()`

### setHash

    public void setHash(java.lang.String newHash)

  Specified by:
    `setHash` in interface `DocumentEntryType`
  Parameters:
    `newHash` - the new value of the 'Hash' attribute.
  See Also:
    `DocumentEntryType.getHash()`

### getHealthCareFacilityTypeCode

    public CodedMetadataType getHealthCareFacilityTypeCode()

  Specified by:
    `getHealthCareFacilityTypeCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Health Care Facility Type Code' containment reference.
  See Also:
    `DocumentEntryType.setHealthCareFacilityTypeCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_HealthCareFacilityTypeCode()`

### basicSetHealthCareFacilityTypeCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetHealthCareFacilityTypeCode(CodedMetadataType newHealthCareFacilityTypeCode,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setHealthCareFacilityTypeCode

    public void setHealthCareFacilityTypeCode(CodedMetadataType newHealthCareFacilityTypeCode)

  Specified by:
    `setHealthCareFacilityTypeCode` in interface `DocumentEntryType`
  Parameters:
    `newHealthCareFacilityTypeCode` - the new value of the 'Health Care Facility Type Code' containment reference.
  See Also:
    `DocumentEntryType.getHealthCareFacilityTypeCode()`

### getLanguageCode

    public java.lang.String getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Language Code' attribute.
  See Also:
    `DocumentEntryType.setLanguageCode(String)`, `MetadataPackage.getDocumentEntryType_LanguageCode()`

### setLanguageCode

    public void setLanguageCode(java.lang.String newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `DocumentEntryType`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' attribute.
  See Also:
    `DocumentEntryType.getLanguageCode()`

### getLegalAuthenticator

    public XCN getLegalAuthenticator()

  Specified by:
    `getLegalAuthenticator` in interface `DocumentEntryType`
  Returns:
    the value of the 'Legal Authenticator' containment reference.
  See Also:
    `DocumentEntryType.setLegalAuthenticator(XCN)`, `MetadataPackage.getDocumentEntryType_LegalAuthenticator()`

### basicSetLegalAuthenticator

    public org.eclipse.emf.common.notify.NotificationChain basicSetLegalAuthenticator(XCN newLegalAuthenticator,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setLegalAuthenticator

    public void setLegalAuthenticator(XCN newLegalAuthenticator)

  Specified by:
    `setLegalAuthenticator` in interface `DocumentEntryType`
  Parameters:
    `newLegalAuthenticator` - the new value of the 'Legal Authenticator' containment reference.
  See Also:
    `DocumentEntryType.getLegalAuthenticator()`

### getMimeType

    public java.lang.String getMimeType()

  Specified by:
    `getMimeType` in interface `DocumentEntryType`
  Returns:
    the value of the 'Mime Type' attribute.
  See Also:
    `DocumentEntryType.setMimeType(String)`, `MetadataPackage.getDocumentEntryType_MimeType()`

### setMimeType

    public void setMimeType(java.lang.String newMimeType)

  Specified by:
    `setMimeType` in interface `DocumentEntryType`
  Parameters:
    `newMimeType` - the new value of the 'Mime Type' attribute.
  See Also:
    `DocumentEntryType.getMimeType()`

### getParentDocumentRelationship

    public ParentDocumentRelationshipType getParentDocumentRelationship()

  Specified by:
    `getParentDocumentRelationship` in interface `DocumentEntryType`
  Returns:
    the value of the 'Parent Document Relationship' attribute.
  See Also:
    `ParentDocumentRelationshipType`, `DocumentEntryType.isSetParentDocumentRelationship()`, `DocumentEntryType.unsetParentDocumentRelationship()`, `DocumentEntryType.setParentDocumentRelationship(ParentDocumentRelationshipType)`, `MetadataPackage.getDocumentEntryType_ParentDocumentRelationship()`

### setParentDocumentRelationship

    public void setParentDocumentRelationship(ParentDocumentRelationshipType newParentDocumentRelationship)

  Specified by:
    `setParentDocumentRelationship` in interface `DocumentEntryType`
  Parameters:
    `newParentDocumentRelationship` - the new value of the 'Parent Document Relationship' attribute.
  See Also:
    `ParentDocumentRelationshipType`, `DocumentEntryType.isSetParentDocumentRelationship()`, `DocumentEntryType.unsetParentDocumentRelationship()`, `DocumentEntryType.getParentDocumentRelationship()`

### unsetParentDocumentRelationship

    public void unsetParentDocumentRelationship()

  Specified by:
    `unsetParentDocumentRelationship` in interface `DocumentEntryType`
  See Also:
    `DocumentEntryType.isSetParentDocumentRelationship()`, `DocumentEntryType.getParentDocumentRelationship()`, `DocumentEntryType.setParentDocumentRelationship(ParentDocumentRelationshipType)`

### isSetParentDocumentRelationship

    public boolean isSetParentDocumentRelationship()

  Specified by:
    `isSetParentDocumentRelationship` in interface `DocumentEntryType`
  Returns:
    whether the value of the 'Parent Document Relationship' attribute is set.
  See Also:
    `DocumentEntryType.unsetParentDocumentRelationship()`, `DocumentEntryType.getParentDocumentRelationship()`, `DocumentEntryType.setParentDocumentRelationship(ParentDocumentRelationshipType)`

### getParentDocumentId

    public java.lang.String getParentDocumentId()

  Specified by:
    `getParentDocumentId` in interface `DocumentEntryType`
  Returns:
    the value of the 'Parent Document Id' attribute.
  See Also:
    `DocumentEntryType.setParentDocumentId(String)`, `MetadataPackage.getDocumentEntryType_ParentDocumentId()`

### setParentDocumentId

    public void setParentDocumentId(java.lang.String newParentDocumentId)

  Specified by:
    `setParentDocumentId` in interface `DocumentEntryType`
  Parameters:
    `newParentDocumentId` - the new value of the 'Parent Document Id' attribute.
  See Also:
    `DocumentEntryType.getParentDocumentId()`

### getPatientId

    public CX getPatientId()

  Specified by:
    `getPatientId` in interface `DocumentEntryType`
  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `DocumentEntryType.setPatientId(CX)`, `MetadataPackage.getDocumentEntryType_PatientId()`

### basicSetPatientId

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientId(CX newPatientId,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientId

    public void setPatientId(CX newPatientId)

  Specified by:
    `setPatientId` in interface `DocumentEntryType`
  Parameters:
    `newPatientId` - the new value of the 'Patient Id' containment reference.
  See Also:
    `DocumentEntryType.getPatientId()`

### getPracticeSettingCode

    public CodedMetadataType getPracticeSettingCode()

  Specified by:
    `getPracticeSettingCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Practice Setting Code' containment reference.
  See Also:
    `DocumentEntryType.setPracticeSettingCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_PracticeSettingCode()`

### basicSetPracticeSettingCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetPracticeSettingCode(CodedMetadataType newPracticeSettingCode,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setPracticeSettingCode

    public void setPracticeSettingCode(CodedMetadataType newPracticeSettingCode)

  Specified by:
    `setPracticeSettingCode` in interface `DocumentEntryType`
  Parameters:
    `newPracticeSettingCode` - the new value of the 'Practice Setting Code' containment reference.
  See Also:
    `DocumentEntryType.getPracticeSettingCode()`

### getServiceStartTime

    public java.lang.String getServiceStartTime()

  Specified by:
    `getServiceStartTime` in interface `DocumentEntryType`
  Returns:
    the value of the 'Service Start Time' attribute.
  See Also:
    `DocumentEntryType.setServiceStartTime(String)`, `MetadataPackage.getDocumentEntryType_ServiceStartTime()`

### setServiceStartTime

    public void setServiceStartTime(java.lang.String newServiceStartTime)

  Specified by:
    `setServiceStartTime` in interface `DocumentEntryType`
  Parameters:
    `newServiceStartTime` - the new value of the 'Service Start Time' attribute.
  See Also:
    `DocumentEntryType.getServiceStartTime()`

### getServiceStopTime

    public java.lang.String getServiceStopTime()

  Specified by:
    `getServiceStopTime` in interface `DocumentEntryType`
  Returns:
    the value of the 'Service Stop Time' attribute.
  See Also:
    `DocumentEntryType.setServiceStopTime(String)`, `MetadataPackage.getDocumentEntryType_ServiceStopTime()`

### setServiceStopTime

    public void setServiceStopTime(java.lang.String newServiceStopTime)

  Specified by:
    `setServiceStopTime` in interface `DocumentEntryType`
  Parameters:
    `newServiceStopTime` - the new value of the 'Service Stop Time' attribute.
  See Also:
    `DocumentEntryType.getServiceStopTime()`

### getSourcePatientId

    public CX getSourcePatientId()

  Specified by:
    `getSourcePatientId` in interface `DocumentEntryType`
  Returns:
    the value of the 'Source Patient Id' containment reference.
  See Also:
    `DocumentEntryType.setSourcePatientId(CX)`, `MetadataPackage.getDocumentEntryType_SourcePatientId()`

### basicSetSourcePatientId

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourcePatientId(CX newSourcePatientId,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setSourcePatientId

    public void setSourcePatientId(CX newSourcePatientId)

  Specified by:
    `setSourcePatientId` in interface `DocumentEntryType`
  Parameters:
    `newSourcePatientId` - the new value of the 'Source Patient Id' containment reference.
  See Also:
    `DocumentEntryType.getSourcePatientId()`

### getSize

    public java.lang.String getSize()

  Specified by:
    `getSize` in interface `DocumentEntryType`
  Returns:
    the value of the 'Size' attribute.
  See Also:
    `DocumentEntryType.setSize(String)`, `MetadataPackage.getDocumentEntryType_Size()`

### setSize

    public void setSize(java.lang.String newSize)

  Specified by:
    `setSize` in interface `DocumentEntryType`
  Parameters:
    `newSize` - the new value of the 'Size' attribute.
  See Also:
    `DocumentEntryType.getSize()`

### getSourcePatientInfo

    public SourcePatientInfoType getSourcePatientInfo()

  Specified by:
    `getSourcePatientInfo` in interface `DocumentEntryType`
  Returns:
    the value of the 'Source Patient Info' containment reference.
  See Also:
    `DocumentEntryType.setSourcePatientInfo(SourcePatientInfoType)`, `MetadataPackage.getDocumentEntryType_SourcePatientInfo()`

### basicSetSourcePatientInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setSourcePatientInfo

    public void setSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo)

  Specified by:
    `setSourcePatientInfo` in interface `DocumentEntryType`
  Parameters:
    `newSourcePatientInfo` - the new value of the 'Source Patient Info' containment reference.
  See Also:
    `DocumentEntryType.getSourcePatientInfo()`

### getTitle

    public InternationalStringType getTitle()

  Specified by:
    `getTitle` in interface `DocumentEntryType`
  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `DocumentEntryType.setTitle(InternationalStringType)`, `MetadataPackage.getDocumentEntryType_Title()`

### basicSetTitle

    public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(InternationalStringType newTitle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

    public void setTitle(InternationalStringType newTitle)

  Specified by:
    `setTitle` in interface `DocumentEntryType`
  Parameters:
    `newTitle` - the new value of the 'Title' containment reference.
  See Also:
    `DocumentEntryType.getTitle()`

### getTypeCode

    public CodedMetadataType getTypeCode()

  Specified by:
    `getTypeCode` in interface `DocumentEntryType`
  Returns:
    the value of the 'Type Code' containment reference.
  See Also:
    `DocumentEntryType.setTypeCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_TypeCode()`

### basicSetTypeCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeCode(CodedMetadataType newTypeCode,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeCode

    public void setTypeCode(CodedMetadataType newTypeCode)

  Specified by:
    `setTypeCode` in interface `DocumentEntryType`
  Parameters:
    `newTypeCode` - the new value of the 'Type Code' containment reference.
  See Also:
    `DocumentEntryType.getTypeCode()`

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `DocumentEntryType`
  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `DocumentEntryType.setUniqueId(String)`, `MetadataPackage.getDocumentEntryType_UniqueId()`

### setUniqueId

    public void setUniqueId(java.lang.String newUniqueId)

  Specified by:
    `setUniqueId` in interface `DocumentEntryType`
  Parameters:
    `newUniqueId` - the new value of the 'Unique Id' attribute.
  See Also:
    `DocumentEntryType.getUniqueId()`

### getUri

    public java.lang.String getUri()

  Specified by:
    `getUri` in interface `DocumentEntryType`
  Returns:
    the value of the 'Uri' attribute.
  See Also:
    `DocumentEntryType.setUri(String)`, `MetadataPackage.getDocumentEntryType_Uri()`

### setUri

    public void setUri(java.lang.String newUri)

  Specified by:
    `setUri` in interface `DocumentEntryType`
  Parameters:
    `newUri` - the new value of the 'Uri' attribute.
  See Also:
    `DocumentEntryType.getUri()`

### isExisting

    public boolean isExisting()

  Specified by:
    `isExisting` in interface `DocumentEntryType`
  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `DocumentEntryType.isSetExisting()`, `DocumentEntryType.unsetExisting()`, `DocumentEntryType.setExisting(boolean)`, `MetadataPackage.getDocumentEntryType_Existing()`

### setExisting

    public void setExisting(boolean newExisting)

  Specified by:
    `setExisting` in interface `DocumentEntryType`
  Parameters:
    `newExisting` - the new value of the 'Existing' attribute.
  See Also:
    `DocumentEntryType.isSetExisting()`, `DocumentEntryType.unsetExisting()`, `DocumentEntryType.isExisting()`

### unsetExisting

    public void unsetExisting()

  Specified by:
    `unsetExisting` in interface `DocumentEntryType`
  See Also:
    `DocumentEntryType.isSetExisting()`, `DocumentEntryType.isExisting()`, `DocumentEntryType.setExisting(boolean)`

### isSetExisting

    public boolean isSetExisting()

  Specified by:
    `isSetExisting` in interface `DocumentEntryType`
  Returns:
    whether the value of the 'Existing' attribute is set.
  See Also:
    `DocumentEntryType.unsetExisting()`, `DocumentEntryType.isExisting()`, `DocumentEntryType.setExisting(boolean)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD